Package in.cdac.medinfo.csnotk.csnolib.icdmap

## Class MapGroup

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.icdmap.MapGroup

-     public class MapGroup
      extends java.lang.Object

  Provides SNOMED CT to ICD-10 mapping details for a group. Group has details of map target ICD-10 code and list of advices.
  See Also:
    `MapAdvice`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapGroup()` | Default constructor.
    `MapGroup​(java.lang.String mappedICDCode, java.util.List<MapAdvice> mapAdvices)` | Parameterized constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addMapAdvice​(MapAdvice mapAdvice)` | Adds a new advice to list of advices.
    `java.util.List<MapAdvice>` | `getMapAdvices()` | Returns the list of map advice.
    `java.lang.String` | `getMappedICDCode()` | Returns the mapped ICD-10 code.
    `void` | `setMapAdvices​(java.util.List<MapAdvice> mapAdvices)` | Sets the list of map advice.
    `void` | `setMappedICDCode​(java.lang.String mapTarget)` | Sets the mapped ICD-10 code.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapGroup

          public MapGroup()

      Default constructor.

    - #### MapGroup

          public MapGroup​(java.lang.String mappedICDCode,
                          java.util.List<MapAdvice> mapAdvices)

      Parameterized constructor.
      Parameters:
        `mappedICDCode` - map target ICD-10 code
        `mapAdvices` - list of mapping advice

  - ### Method Detail

    - #### getMappedICDCode

          public java.lang.String getMappedICDCode()

      Returns the mapped ICD-10 code.
      Returns:
        ICD-10 code

    - #### setMappedICDCode

          public void setMappedICDCode​(java.lang.String mapTarget)

      Sets the mapped ICD-10 code.
      Parameters:
        `mapTarget` - ICD-10 code

    - #### getMapAdvices

          public java.util.List<MapAdvice> getMapAdvices()

      Returns the list of map advice.
      Returns:
        list of map advice

    - #### setMapAdvices

          public void setMapAdvices​(java.util.List<MapAdvice> mapAdvices)

      Sets the list of map advice.
      Parameters:
        `mapAdvices` - list of map advice

    - #### addMapAdvice

          public void addMapAdvice​(MapAdvice mapAdvice)

      Adds a new advice to list of advices.
      Parameters:
        `mapAdvice` - map advice to be added to the list